Added register reassignment prototype to RAGreedy. It's a simple
[oota-llvm.git] / configure
index 88fe0fddaa2b28a344ab3043080f312221166c55..7b2b07038f861a8d6223aa468247854d9b11b5ef 100755 (executable)
--- a/configure
+++ b/configure
@@ -13341,8 +13341,8 @@ fi
 
 if test "$GXX" != "yes" && test "$IXX" != "yes"
 then
-  { { echo "$as_me:$LINENO: error: g++|icc required but not found" >&5
-echo "$as_me: error: g++|icc required but not found" >&2;}
+  { { echo "$as_me:$LINENO: error: g++|clang++|icc required but not found" >&5
+echo "$as_me: error: g++|clang++|icc required but not found" >&2;}
    { (exit 1); exit 1; }; }
 fi
 
 done
 
 
+{ echo "$as_me:$LINENO: checking __crashreporter_info__" >&5
+echo $ECHO_N "checking __crashreporter_info__... $ECHO_C" >&6; }
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-const char *__crashreporter_info__;
-int
-main ()
-{
+extern const char *__crashreporter_info__;
+      int main() {
+        __crashreporter_info__ = "test";
+        return 0;
+      }
 
-  ;
-  return 0;
-}
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
 if { (ac_try="$ac_link"
@@ -17468,27 +17468,30 @@ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
-  darwin_crashreport = yes
+  { echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6; }
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_CRASHREPORTER_INFO 1
+_ACEOF
+
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-       darwin_crashreport = no
-fi
-
-rm -f core conftest.err conftest.$ac_objext \
-      conftest$ac_exeext conftest.$ac_ext
-{ echo "$as_me:$LINENO: result: $darwin_crashreport" >&5
-echo "${ECHO_T}$darwin_crashreport" >&6; }
-if test "x$darwin_crashreport = xyes"
-then
+       { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
 
 cat >>confdefs.h <<\_ACEOF
-#define HAVE_CRASHREPORTER_INFO 1
+#define HAVE_CRASHREPORTER_INFO 0
 _ACEOF
 
 fi
 
+rm -f core conftest.err conftest.$ac_objext \
+      conftest$ac_exeext conftest.$ac_ext
+
+
 
 
   { echo "$as_me:$LINENO: checking for HUGE_VAL sanity" >&5